The Ledger Merge object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

account string required
company string required
status string
root_type string required
account_name string required
The Ledger Merge object
{
  "id": "ledger-merge_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "account": "account_example",
  "company": "Example Corp",
  "status": "draft",
  "root_type": "root_type_example",
  "account_name": "account_name_example"
}
GET /api/accounts/ledger-merge/{id}

Retrieve a ledger merge

Retrieves the details of an existing ledger merge. Supply the unique ledger merge ID that was returned from a previous request.

Path parameters

id string required

The identifier of the ledger merge to retrieve.

Returns

Returns the ledger merge object if a valid identifier was provided.

GET /api/accounts/ledger-merge/{id}
curl https://api.overplane.dev/api/accounts/ledger-merge/ledger-merge_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "ledger-merge_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "account": "account_example",
  "company": "Example Corp",
  "status": "draft",
  "root_type": "root_type_example",
  "account_name": "account_name_example"
}
GET /api/accounts/ledger-merge

List all ledger merges

Returns a list of ledger merges. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of ledger merge objects.

GET /api/accounts/ledger-merge
curl https://api.overplane.dev/api/accounts/ledger-merge \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "ledger-merge_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "account": "account_example",
      "company": "Example Corp",
      "status": "draft",
      "root_type": "root_type_example",
      "account_name": "account_name_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/ledger-merge

Create a ledger merge

Creates a new ledger merge object.

Body parameters

account string required
company string required
status string
root_type string required
account_name string required

Returns

Returns the newly created ledger merge object if the call succeeded.

POST /api/accounts/ledger-merge
curl https://api.overplane.dev/api/accounts/ledger-merge \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"account":"account_example","company":"Example Corp","root_type":"root_type_example","account_name":"account_name_example"}'
Response
{
  "id": "ledger-merge_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "account": "account_example",
  "company": "Example Corp",
  "status": "draft",
  "root_type": "root_type_example",
  "account_name": "account_name_example"
}
PATCH /api/accounts/ledger-merge/{id}

Update a ledger merge

Updates the specified ledger merge by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the ledger merge to update.

Body parameters

account string
company string
status string
root_type string
account_name string

Returns

Returns the updated ledger merge object.

PATCH /api/accounts/ledger-merge/{id}
curl https://api.overplane.dev/api/accounts/ledger-merge/ledger-merge_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"account":"account_example","company":"Example Corp"}'
Response
{
  "id": "ledger-merge_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "account": "account_example",
  "company": "Example Corp",
  "status": "draft",
  "root_type": "root_type_example",
  "account_name": "account_name_example"
}
DELETE /api/accounts/ledger-merge/{id}

Delete a ledger merge

Permanently deletes a ledger merge. This cannot be undone.

Path parameters

id string required

The identifier of the ledger merge to delete.

Returns

Returns a confirmation that the ledger merge has been deleted.

DELETE /api/accounts/ledger-merge/{id}
curl https://api.overplane.dev/api/accounts/ledger-merge/ledger-merge_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "ledger-merge_abc123",
  "deleted": true
}

Line items

Child objects that belong to this ledger merge. These are accessed via the parent's ID.

Ledger Merge Accounts

Attributes

idx integer
ledger_merge_id string required
account string required
merged boolean
account_name string required

Endpoints

GET /api/accounts/ledger-merge-accounts?parent_id={id}
POST /api/accounts/ledger-merge-accounts
PATCH /api/accounts/ledger-merge-accounts/{id}
DELETE /api/accounts/ledger-merge-accounts/{id}
POST /api/accounts/ledger-merge-accounts/reorder
Ledger Merge Accounts object
{
  "id": "ledger-merge-accounts_abc123",
  "idx": 1,
  "ledger_merge_id": "ledger_merge_id_example",
  "account": "account_example",
  "merged": false,
  "account_name": "account_name_example"
}